Subject: [quicwg/base-drafts] e0e024: Out of order relative to other ack-eliciting packets

From: ianswett <[email-masked]>
Date: Sun, 16 Aug 2020 12:45:32 -0700

Branch: refs/heads/ianswett-out-of-order-ack
  Home:   https://github.com/quicwg/base-drafts
  Commit: e0e024dd0456160102bdf39314417ebd048361ab
      https://github.com/quicwg/base-drafts/commit/e0e024dd0456160102bdf39314417ebd048361ab
  Author: ianswett <[email-masked]>
  Date:   2020-08-16 (Sun, 16 Aug 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Out of order relative to other ack-eliciting packets

I believe this was the existing intent, so not filing an issue, people can feel free to disagree.

The case I'm concerned about is an ACK arrives with PN 10, then PN 9 arrives.  I do not believe PN 9 should not be considered 'out-of-order' and trigger an immediate ACK.  Recovery is designed with this case in mind, but when re-reading this text, I thought it was unclear.